Naar hoofdinhoud
pricings

Add a new pricing to the database.

POST
/pricing
X-API-Keystringheaderverplicht

Body

application/json

Pricing object.

activeinteger

Whether this pricing is a default base rate, applied automatically to the items it is linked to. Returned as 1 (yes) or 0 (no).

amount_per_quantity_activeinteger

Whether a fixed amount per unit applies to this pricing. Returned as 1 (yes) or 0 (no).

amount_per_quantity_amountstring

The amount per unit when amount_per_quantity_active is enabled, as a numeric string.

applicable_tostring[]

Where this pricing can be used, each either 'task', 'sale_rent' (sales & rental) or 'weighing'.

bookkeeping_idstring

The item number of this pricing in the accounting software.

category_idinteger

The ID of the pricing category of this pricing.

combi_rateinteger

Whether this pricing is a combined rate, added only once to the invoice items of a task with linked employees. Returned as 1 (yes) or 0 (no).

created_atstring

The date and time this pricing was created.

datesobject[]

The dates stored on this pricing.

deleted_atstring

The date and time this pricing was archived, or null when it is not archived.

external_extrasobject

Extra accounting data of this pricing synchronized from a connected third-party application, such as 'revenue_type_id' and 'cost_center_id'.

hide_in_appinteger

Whether this pricing is hidden in the app. Returned as 1 (yes) or 0 (no).

idintegerverplicht

The ID of this pricing.

minimum_price_activeinteger

Whether a minimum rate applies to this pricing. Returned as 1 (yes) or 0 (no).

minimum_price_pricestring

The minimum rate in euros when minimum_price_active is enabled. Returned as a numeric string, e.g. "12.50".

namestring

The name of this pricing.

pricestring

The sale price per unit of this pricing in euros, excluding VAT. Returned as a numeric string, e.g. "12.50".

price_perstring

The unit the price is calculated per, either 'hour', 'minute', 'daypart', 'day', 'week', 'month' or 'amount' (quantity).

purchase_pricestring

The cost price per unit of this pricing in euros. Returned as a numeric string, e.g. "12.50".

sort_orderinteger

The position of this pricing in sorted lists.

start_price_activeinteger

Whether a starting rate per quantity applies to this pricing. Returned as 1 (yes) or 0 (no).

start_price_amountstring

The minimum quantity covered by the starting rate. Returned as a numeric string, e.g. "12.50".

start_price_pricestring

The starting rate in euros when start_price_active is enabled. Returned as a numeric string, e.g. "12.50".

task_calculate_forstring

The task time this rate is calculated for, either 'work_time', 'pause_time', 'travel_time', 'travel_time_start', 'travel_time_end', 'repair_time', 'wait_time' or 'travel_time_machine'.

tiersobject[]

The price tiers of this pricing.

unit_custom_namestring

The custom unit name when unit_id is set to zero (0).

unit_idinteger

The ID of the unit of this pricing. Set to zero (0) to use unit_custom_name instead.

updated_atstring

The date and time this pricing was last updated.

vat_rate_idinteger

The ID of the VAT rate of this pricing.

Antwoord

application/json

Successful operation.

dataobject

The result message and the result data.

statusstring

The result status, success.